// $Id$
/**
* Copyright (C) 2007 EDIT
* European Distributed Institute of Taxonomy 
* http://www.e-taxonomy.eu
* 
* The contents of this file are subject to the Mozilla Public License Version 1.1
* See LICENSE.TXT at the top of this package for the full license terms.
*/

package eu.etaxonomy.taxeditor.bulkeditor;

import java.util.Comparator;
import java.util.Map;
import java.util.Set;

/**
 * @author n.hoffmann
 * @created Dec 14, 2010
 * @version 1.0
 */
public interface IBulkEditorSortProvider<T> {

	/**
	 * 
	 */
	public Map<String, Comparator<T>> getComparators();	
	
	public Set<String> getComparatorNames();
	
	public Comparator<T> getComparatorByName(String name);
}
